Merge from trunk.
[bpt/emacs.git] / m4 / gl-comp.m4
CommitLineData
743c80a7
PE
1# DO NOT EDIT! GENERATED AUTOMATICALLY!
2# Copyright (C) 2002-2011 Free Software Foundation, Inc.
3#
4# This file is free software, distributed under the terms of the GNU
5# General Public License. As a special exception to the GNU General
6# Public License, this file may be distributed as part of a program
7# that contains a configuration script generated by Autoconf, under
8# the same distribution terms as the rest of that program.
9#
10# Generated by gnulib-tool.
11#
12# This file represents the compiled summary of the specification in
13# gnulib-cache.m4. It lists the computed macro invocations that need
14# to be invoked from configure.ac.
15# In projects that use version control, this file can be treated like
16# other built files.
17
18
19# This macro should be invoked from ./configure.in, in the section
20# "Checks for programs", right after AC_PROG_CC, and certainly before
21# any checks for libraries, header files, types and library functions.
22AC_DEFUN([gl_EARLY],
23[
24 m4_pattern_forbid([^gl_[A-Z]])dnl the gnulib macro namespace
25 m4_pattern_allow([^gl_ES$])dnl a valid locale name
26 m4_pattern_allow([^gl_LIBOBJS$])dnl a variable
27 m4_pattern_allow([^gl_LTLIBOBJS$])dnl a variable
28 AC_REQUIRE([AC_PROG_RANLIB])
fa23e171 29 # Code from module alloca-opt:
7ec98caf 30 # Code from module allocator:
d1fdcab7 31 # Code from module careadlinkat:
942f733f 32 # Code from module crypto/md5:
13c3daa4 33 # Code from module crypto/sha1:
3ce9d0d4
LL
34 # Code from module crypto/sha256:
35 # Code from module crypto/sha512:
36f13e16 36 # Code from module dosname:
f737437b 37 # Code from module dtoastr:
7a7ef429 38 # Code from module dup2:
1fd182f0
PE
39 # Code from module extensions:
40 AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
5fa4ac76 41 # Code from module filemode:
79ab4b7f 42 # Code from module getloadavg:
e275c824
PE
43 # Code from module getopt-gnu:
44 # Code from module getopt-posix:
45 # Code from module gettext-h:
67342916 46 # Code from module ignore-value:
1fd182f0 47 # Code from module include_next:
a451f14b 48 # Code from module intprops:
b6f5355a 49 # Code from module inttypes-incomplete:
54020294 50 # Code from module largefile:
ae0d7250 51 # Code from module lstat:
1fd182f0
PE
52 # Code from module mktime:
53 # Code from module multiarch:
24e0f6b1 54 # Code from module nocrash:
6db30f83 55 # Code from module pthread_sigmask:
ae0d7250 56 # Code from module readlink:
6db30f83 57 # Code from module signal:
2a84b02d 58 # Code from module sigprocmask:
24e0f6b1
PE
59 # Code from module snippet/_Noreturn:
60 # Code from module snippet/arg-nonnull:
61 # Code from module snippet/c++defs:
62 # Code from module snippet/warn-on-use:
401bf9b4 63 # Code from module socklen:
d1fdcab7 64 # Code from module ssize_t:
ae0d7250 65 # Code from module stat:
c378da0b
PE
66 # Code from module stdarg:
67 dnl Some compilers (e.g., AIX 5.3 cc) need to be in c99 mode
68 dnl for the builtin va_copy to work. With Autoconf 2.60 or later,
69 dnl AC_PROG_CC_STDC arranges for this. With older Autoconf AC_PROG_CC_STDC
70 dnl shouldn't hurt, though installers are on their own to set c99 mode.
71 AC_REQUIRE([AC_PROG_CC_STDC])
16c3e636 72 # Code from module stdbool:
1fd182f0 73 # Code from module stddef:
5f90be1b 74 # Code from module stdint:
77185bdf 75 # Code from module stdio:
79ab4b7f 76 # Code from module stdlib:
16c3e636 77 # Code from module strftime:
f6ce9b9a
PE
78 # Code from module strtoimax:
79 # Code from module strtoll:
b6f5355a 80 # Code from module strtoull:
a8a2bb29 81 # Code from module strtoumax:
ae0d7250 82 # Code from module symlink:
5fa4ac76 83 # Code from module sys_stat:
1fd182f0
PE
84 # Code from module time:
85 # Code from module time_r:
3ce9d0d4 86 # Code from module u64:
e275c824 87 # Code from module unistd:
a8a2bb29 88 # Code from module verify:
743c80a7
PE
89])
90
91# This macro should be invoked from ./configure.in, in the section
92# "Check for header files, types and library functions".
93AC_DEFUN([gl_INIT],
94[
95 AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
96 gl_cond_libtool=false
97 gl_libdeps=
98 gl_ltlibdeps=
99 gl_m4_base='m4'
100 m4_pushdef([AC_LIBOBJ], m4_defn([gl_LIBOBJ]))
101 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gl_REPLACE_FUNCS]))
102 m4_pushdef([AC_LIBSOURCES], m4_defn([gl_LIBSOURCES]))
103 m4_pushdef([gl_LIBSOURCES_LIST], [])
104 m4_pushdef([gl_LIBSOURCES_DIR], [])
105 gl_COMMON
106 gl_source_base='lib'
fa23e171 107gl_FUNC_ALLOCA
19548d08
PE
108AC_CHECK_FUNCS_ONCE([readlinkat])
109gl_MD5
13c3daa4 110gl_SHA1
3ce9d0d4
LL
111gl_SHA256
112gl_SHA512
19548d08 113AC_REQUIRE([gl_C99_STRTOLD])
7a7ef429 114gl_FUNC_DUP2
54020294
PE
115if test $HAVE_DUP2 = 0 || test $REPLACE_DUP2 = 1; then
116 AC_LIBOBJ([dup2])
117fi
7a7ef429 118gl_UNISTD_MODULE_INDICATOR([dup2])
19548d08 119gl_FILEMODE
6a3e57bb 120gl_GETLOADAVG
8aeb5be9
PE
121if test $HAVE_GETLOADAVG = 0; then
122 AC_LIBOBJ([getloadavg])
123 gl_PREREQ_GETLOADAVG
124fi
19548d08
PE
125gl_STDLIB_MODULE_INDICATOR([getloadavg])
126gl_FUNC_GETOPT_GNU
8aeb5be9
PE
127if test $REPLACE_GETOPT = 1; then
128 AC_LIBOBJ([getopt])
129 AC_LIBOBJ([getopt1])
130 gl_PREREQ_GETOPT
131fi
19548d08
PE
132gl_MODULE_INDICATOR_FOR_TESTS([getopt-gnu])
133gl_FUNC_GETOPT_POSIX
8aeb5be9
PE
134if test $REPLACE_GETOPT = 1; then
135 AC_LIBOBJ([getopt])
136 AC_LIBOBJ([getopt1])
137 gl_PREREQ_GETOPT
138fi
19548d08
PE
139AC_REQUIRE([AC_C_INLINE])
140gl_INTTYPES_INCOMPLETE
141gl_FUNC_LSTAT
8aeb5be9
PE
142if test $REPLACE_LSTAT = 1; then
143 AC_LIBOBJ([lstat])
144 gl_PREREQ_LSTAT
145fi
19548d08
PE
146gl_SYS_STAT_MODULE_INDICATOR([lstat])
147gl_FUNC_MKTIME
8aeb5be9
PE
148if test $REPLACE_MKTIME = 1; then
149 AC_LIBOBJ([mktime])
150 gl_PREREQ_MKTIME
151fi
19548d08
PE
152gl_TIME_MODULE_INDICATOR([mktime])
153gl_MULTIARCH
2a84b02d
PE
154gl_FUNC_PTHREAD_SIGMASK
155if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
156 AC_LIBOBJ([pthread_sigmask])
24e0f6b1 157 gl_PREREQ_PTHREAD_SIGMASK
2a84b02d 158fi
6db30f83 159gl_SIGNAL_MODULE_INDICATOR([pthread_sigmask])
19548d08 160gl_FUNC_READLINK
8aeb5be9
PE
161if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
162 AC_LIBOBJ([readlink])
163 gl_PREREQ_READLINK
164fi
19548d08 165gl_UNISTD_MODULE_INDICATOR([readlink])
6db30f83 166gl_SIGNAL_H
19548d08
PE
167gl_TYPE_SOCKLEN_T
168gt_TYPE_SSIZE_T
c378da0b 169gl_STDARG_H
19548d08
PE
170AM_STDBOOL_H
171gl_STDDEF_H
172gl_STDINT_H
173gl_STDIO_H
174gl_STDLIB_H
175gl_FUNC_GNU_STRFTIME
f6ce9b9a
PE
176gl_FUNC_STRTOIMAX
177if test "$ac_cv_have_decl_strtoimax" != yes && test $ac_cv_func_strtoimax = no; then
178 AC_LIBOBJ([strtoimax])
179 gl_PREREQ_STRTOIMAX
180fi
181gl_INTTYPES_MODULE_INDICATOR([strtoimax])
19548d08 182gl_FUNC_STRTOUMAX
8aeb5be9
PE
183if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
184 AC_LIBOBJ([strtoumax])
185 gl_PREREQ_STRTOUMAX
186fi
19548d08
PE
187gl_INTTYPES_MODULE_INDICATOR([strtoumax])
188gl_FUNC_SYMLINK
8aeb5be9
PE
189if test $HAVE_SYMLINK = 0 || test $REPLACE_SYMLINK = 1; then
190 AC_LIBOBJ([symlink])
191fi
19548d08
PE
192gl_UNISTD_MODULE_INDICATOR([symlink])
193gl_HEADER_SYS_STAT_H
194AC_PROG_MKDIR_P
195gl_HEADER_TIME_H
196gl_TIME_R
8aeb5be9
PE
197if test $HAVE_LOCALTIME_R = 0 || test $REPLACE_LOCALTIME_R = 1; then
198 AC_LIBOBJ([time_r])
199 gl_PREREQ_TIME_R
200fi
19548d08 201gl_TIME_MODULE_INDICATOR([time_r])
3ce9d0d4 202AC_REQUIRE([AC_C_INLINE])
19548d08
PE
203gl_UNISTD_H
204 gl_gnulib_enabled_dosname=false
205 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=false
2a84b02d 206 gl_gnulib_enabled_sigprocmask=false
19548d08 207 gl_gnulib_enabled_stat=false
f6ce9b9a 208 gl_gnulib_enabled_strtoll=false
19548d08
PE
209 gl_gnulib_enabled_strtoull=false
210 gl_gnulib_enabled_verify=false
211 func_gl_gnulib_m4code_dosname ()
212 {
213 if ! $gl_gnulib_enabled_dosname; then
214 gl_gnulib_enabled_dosname=true
215 fi
216 }
217 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36 ()
218 {
219 if ! $gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36; then
220AC_SUBST([LIBINTL])
221AC_SUBST([LTLIBINTL])
222 gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36=true
223 fi
224 }
2a84b02d
PE
225 func_gl_gnulib_m4code_sigprocmask ()
226 {
227 if ! $gl_gnulib_enabled_sigprocmask; then
228gl_SIGNALBLOCKING
229if test $HAVE_POSIX_SIGNALBLOCKING = 0; then
230 AC_LIBOBJ([sigprocmask])
231 gl_PREREQ_SIGPROCMASK
232fi
233gl_SIGNAL_MODULE_INDICATOR([sigprocmask])
234 gl_gnulib_enabled_sigprocmask=true
235 fi
236 }
19548d08
PE
237 func_gl_gnulib_m4code_stat ()
238 {
239 if ! $gl_gnulib_enabled_stat; then
240gl_FUNC_STAT
8aeb5be9
PE
241if test $REPLACE_STAT = 1; then
242 AC_LIBOBJ([stat])
243 gl_PREREQ_STAT
244fi
19548d08
PE
245gl_SYS_STAT_MODULE_INDICATOR([stat])
246 gl_gnulib_enabled_stat=true
247 if $condition; then
248 func_gl_gnulib_m4code_dosname
249 fi
6dd7e400
PE
250 if $condition; then
251 func_gl_gnulib_m4code_verify
252 fi
19548d08
PE
253 fi
254 }
f6ce9b9a
PE
255 func_gl_gnulib_m4code_strtoll ()
256 {
257 if ! $gl_gnulib_enabled_strtoll; then
258gl_FUNC_STRTOLL
259if test $HAVE_STRTOLL = 0; then
260 AC_LIBOBJ([strtoll])
261 gl_PREREQ_STRTOLL
262fi
263gl_STDLIB_MODULE_INDICATOR([strtoll])
264 gl_gnulib_enabled_strtoll=true
265 fi
266 }
19548d08
PE
267 func_gl_gnulib_m4code_strtoull ()
268 {
269 if ! $gl_gnulib_enabled_strtoull; then
270gl_FUNC_STRTOULL
8aeb5be9
PE
271if test $HAVE_STRTOULL = 0; then
272 AC_LIBOBJ([strtoull])
273 gl_PREREQ_STRTOULL
274fi
19548d08
PE
275gl_STDLIB_MODULE_INDICATOR([strtoull])
276 gl_gnulib_enabled_strtoull=true
277 fi
278 }
279 func_gl_gnulib_m4code_verify ()
280 {
281 if ! $gl_gnulib_enabled_verify; then
282 gl_gnulib_enabled_verify=true
283 fi
284 }
8aeb5be9 285 if test $REPLACE_GETOPT = 1; then
19548d08
PE
286 func_gl_gnulib_m4code_be453cec5eecf5731a274f2de7f2db36
287 fi
288 if test $REPLACE_LSTAT = 1; then
289 func_gl_gnulib_m4code_dosname
290 fi
291 if test $REPLACE_LSTAT = 1; then
292 func_gl_gnulib_m4code_stat
293 fi
2a84b02d 294 if test $HAVE_PTHREAD_SIGMASK = 0 || test $REPLACE_PTHREAD_SIGMASK = 1; then
6db30f83
PE
295 func_gl_gnulib_m4code_sigprocmask
296 fi
19548d08
PE
297 if test $HAVE_READLINK = 0 || test $REPLACE_READLINK = 1; then
298 func_gl_gnulib_m4code_stat
299 fi
f6ce9b9a
PE
300 if test "$ac_cv_have_decl_strtoimax" != yes && test $ac_cv_func_strtoimax = no; then
301 func_gl_gnulib_m4code_verify
302 fi
303 if test "$ac_cv_have_decl_strtoimax" != yes && test $ac_cv_func_strtoimax = no && test $ac_cv_type_long_long_int = yes; then
304 func_gl_gnulib_m4code_strtoll
305 fi
19548d08
PE
306 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no; then
307 func_gl_gnulib_m4code_verify
308 fi
309 if test "$ac_cv_have_decl_strtoumax" != yes && test $ac_cv_func_strtoumax = no && test $ac_cv_type_unsigned_long_long_int = yes; then
310 func_gl_gnulib_m4code_strtoull
311 fi
312 m4_pattern_allow([^gl_GNULIB_ENABLED_])
313 AM_CONDITIONAL([gl_GNULIB_ENABLED_dosname], [$gl_gnulib_enabled_dosname])
314 AM_CONDITIONAL([gl_GNULIB_ENABLED_be453cec5eecf5731a274f2de7f2db36], [$gl_gnulib_enabled_be453cec5eecf5731a274f2de7f2db36])
2a84b02d 315 AM_CONDITIONAL([gl_GNULIB_ENABLED_sigprocmask], [$gl_gnulib_enabled_sigprocmask])
19548d08 316 AM_CONDITIONAL([gl_GNULIB_ENABLED_stat], [$gl_gnulib_enabled_stat])
f6ce9b9a 317 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoll], [$gl_gnulib_enabled_strtoll])
19548d08
PE
318 AM_CONDITIONAL([gl_GNULIB_ENABLED_strtoull], [$gl_gnulib_enabled_strtoull])
319 AM_CONDITIONAL([gl_GNULIB_ENABLED_verify], [$gl_gnulib_enabled_verify])
743c80a7
PE
320 # End of code from modules
321 m4_ifval(gl_LIBSOURCES_LIST, [
322 m4_syscmd([test ! -d ]m4_defn([gl_LIBSOURCES_DIR])[ ||
323 for gl_file in ]gl_LIBSOURCES_LIST[ ; do
324 if test ! -r ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file ; then
325 echo "missing file ]m4_defn([gl_LIBSOURCES_DIR])[/$gl_file" >&2
326 exit 1
327 fi
328 done])dnl
329 m4_if(m4_sysval, [0], [],
330 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
331 ])
332 m4_popdef([gl_LIBSOURCES_DIR])
333 m4_popdef([gl_LIBSOURCES_LIST])
334 m4_popdef([AC_LIBSOURCES])
335 m4_popdef([AC_REPLACE_FUNCS])
336 m4_popdef([AC_LIBOBJ])
337 AC_CONFIG_COMMANDS_PRE([
338 gl_libobjs=
339 gl_ltlibobjs=
340 if test -n "$gl_LIBOBJS"; then
341 # Remove the extension.
342 sed_drop_objext='s/\.o$//;s/\.obj$//'
343 for i in `for i in $gl_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
344 gl_libobjs="$gl_libobjs $i.$ac_objext"
345 gl_ltlibobjs="$gl_ltlibobjs $i.lo"
346 done
347 fi
348 AC_SUBST([gl_LIBOBJS], [$gl_libobjs])
349 AC_SUBST([gl_LTLIBOBJS], [$gl_ltlibobjs])
350 ])
351 gltests_libdeps=
352 gltests_ltlibdeps=
353 m4_pushdef([AC_LIBOBJ], m4_defn([gltests_LIBOBJ]))
354 m4_pushdef([AC_REPLACE_FUNCS], m4_defn([gltests_REPLACE_FUNCS]))
355 m4_pushdef([AC_LIBSOURCES], m4_defn([gltests_LIBSOURCES]))
356 m4_pushdef([gltests_LIBSOURCES_LIST], [])
357 m4_pushdef([gltests_LIBSOURCES_DIR], [])
358 gl_COMMON
359 gl_source_base='tests'
360changequote(,)dnl
361 gltests_WITNESS=IN_`echo "${PACKAGE-$PACKAGE_TARNAME}" | LC_ALL=C tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ | LC_ALL=C sed -e 's/[^A-Z0-9_]/_/g'`_GNULIB_TESTS
362changequote([, ])dnl
363 AC_SUBST([gltests_WITNESS])
364 gl_module_indicator_condition=$gltests_WITNESS
365 m4_pushdef([gl_MODULE_INDICATOR_CONDITION], [$gl_module_indicator_condition])
19548d08 366 m4_pattern_allow([^gl_GNULIB_ENABLED_])
743c80a7
PE
367 m4_popdef([gl_MODULE_INDICATOR_CONDITION])
368 m4_ifval(gltests_LIBSOURCES_LIST, [
369 m4_syscmd([test ! -d ]m4_defn([gltests_LIBSOURCES_DIR])[ ||
370 for gl_file in ]gltests_LIBSOURCES_LIST[ ; do
371 if test ! -r ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file ; then
372 echo "missing file ]m4_defn([gltests_LIBSOURCES_DIR])[/$gl_file" >&2
373 exit 1
374 fi
375 done])dnl
376 m4_if(m4_sysval, [0], [],
377 [AC_FATAL([expected source file, required through AC_LIBSOURCES, not found])])
378 ])
379 m4_popdef([gltests_LIBSOURCES_DIR])
380 m4_popdef([gltests_LIBSOURCES_LIST])
381 m4_popdef([AC_LIBSOURCES])
382 m4_popdef([AC_REPLACE_FUNCS])
383 m4_popdef([AC_LIBOBJ])
384 AC_CONFIG_COMMANDS_PRE([
385 gltests_libobjs=
386 gltests_ltlibobjs=
387 if test -n "$gltests_LIBOBJS"; then
388 # Remove the extension.
389 sed_drop_objext='s/\.o$//;s/\.obj$//'
390 for i in `for i in $gltests_LIBOBJS; do echo "$i"; done | sed -e "$sed_drop_objext" | sort | uniq`; do
391 gltests_libobjs="$gltests_libobjs $i.$ac_objext"
392 gltests_ltlibobjs="$gltests_ltlibobjs $i.lo"
393 done
394 fi
395 AC_SUBST([gltests_LIBOBJS], [$gltests_libobjs])
396 AC_SUBST([gltests_LTLIBOBJS], [$gltests_ltlibobjs])
397 ])
398 LIBGNU_LIBDEPS="$gl_libdeps"
399 AC_SUBST([LIBGNU_LIBDEPS])
400 LIBGNU_LTLIBDEPS="$gl_ltlibdeps"
401 AC_SUBST([LIBGNU_LTLIBDEPS])
402])
403
404# Like AC_LIBOBJ, except that the module name goes
405# into gl_LIBOBJS instead of into LIBOBJS.
406AC_DEFUN([gl_LIBOBJ], [
407 AS_LITERAL_IF([$1], [gl_LIBSOURCES([$1.c])])dnl
408 gl_LIBOBJS="$gl_LIBOBJS $1.$ac_objext"
409])
410
411# Like AC_REPLACE_FUNCS, except that the module name goes
412# into gl_LIBOBJS instead of into LIBOBJS.
413AC_DEFUN([gl_REPLACE_FUNCS], [
414 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
415 AC_CHECK_FUNCS([$1], , [gl_LIBOBJ($ac_func)])
416])
417
418# Like AC_LIBSOURCES, except the directory where the source file is
419# expected is derived from the gnulib-tool parameterization,
420# and alloca is special cased (for the alloca-opt module).
421# We could also entirely rely on EXTRA_lib..._SOURCES.
422AC_DEFUN([gl_LIBSOURCES], [
423 m4_foreach([_gl_NAME], [$1], [
424 m4_if(_gl_NAME, [alloca.c], [], [
425 m4_define([gl_LIBSOURCES_DIR], [lib])
426 m4_append([gl_LIBSOURCES_LIST], _gl_NAME, [ ])
427 ])
428 ])
429])
430
431# Like AC_LIBOBJ, except that the module name goes
432# into gltests_LIBOBJS instead of into LIBOBJS.
433AC_DEFUN([gltests_LIBOBJ], [
434 AS_LITERAL_IF([$1], [gltests_LIBSOURCES([$1.c])])dnl
435 gltests_LIBOBJS="$gltests_LIBOBJS $1.$ac_objext"
436])
437
438# Like AC_REPLACE_FUNCS, except that the module name goes
439# into gltests_LIBOBJS instead of into LIBOBJS.
440AC_DEFUN([gltests_REPLACE_FUNCS], [
441 m4_foreach_w([gl_NAME], [$1], [AC_LIBSOURCES(gl_NAME[.c])])dnl
442 AC_CHECK_FUNCS([$1], , [gltests_LIBOBJ($ac_func)])
443])
444
445# Like AC_LIBSOURCES, except the directory where the source file is
446# expected is derived from the gnulib-tool parameterization,
447# and alloca is special cased (for the alloca-opt module).
448# We could also entirely rely on EXTRA_lib..._SOURCES.
449AC_DEFUN([gltests_LIBSOURCES], [
450 m4_foreach([_gl_NAME], [$1], [
451 m4_if(_gl_NAME, [alloca.c], [], [
452 m4_define([gltests_LIBSOURCES_DIR], [tests])
453 m4_append([gltests_LIBSOURCES_LIST], _gl_NAME, [ ])
454 ])
455 ])
456])
457
458# This macro records the list of files which have been installed by
459# gnulib-tool and may be removed by future gnulib-tool invocations.
460AC_DEFUN([gl_FILE_LIST], [
24e0f6b1
PE
461 build-aux/snippet/_Noreturn.h
462 build-aux/snippet/arg-nonnull.h
463 build-aux/snippet/c++defs.h
464 build-aux/snippet/warn-on-use.h
fa23e171 465 lib/alloca.in.h
7ec98caf 466 lib/allocator.c
d1fdcab7
PE
467 lib/allocator.h
468 lib/careadlinkat.c
469 lib/careadlinkat.h
36f13e16 470 lib/dosname.h
a451f14b 471 lib/dtoastr.c
7a7ef429 472 lib/dup2.c
5fa4ac76
PE
473 lib/filemode.c
474 lib/filemode.h
a451f14b
PE
475 lib/ftoastr.c
476 lib/ftoastr.h
79ab4b7f 477 lib/getloadavg.c
e275c824
PE
478 lib/getopt.c
479 lib/getopt.in.h
480 lib/getopt1.c
481 lib/getopt_int.h
482 lib/gettext.h
67342916 483 lib/ignore-value.h
a451f14b 484 lib/intprops.h
a8a2bb29 485 lib/inttypes.in.h
ae0d7250 486 lib/lstat.c
942f733f
PE
487 lib/md5.c
488 lib/md5.h
1fd182f0
PE
489 lib/mktime-internal.h
490 lib/mktime.c
2a84b02d 491 lib/pthread_sigmask.c
ae0d7250 492 lib/readlink.c
13c3daa4
LL
493 lib/sha1.c
494 lib/sha1.h
3ce9d0d4
LL
495 lib/sha256.c
496 lib/sha256.h
497 lib/sha512.c
498 lib/sha512.h
6db30f83 499 lib/signal.in.h
2a84b02d 500 lib/sigprocmask.c
ae0d7250 501 lib/stat.c
c378da0b 502 lib/stdarg.in.h
16c3e636 503 lib/stdbool.in.h
1fd182f0 504 lib/stddef.in.h
5f90be1b 505 lib/stdint.in.h
77185bdf 506 lib/stdio.in.h
79ab4b7f 507 lib/stdlib.in.h
16c3e636
PE
508 lib/strftime.c
509 lib/strftime.h
a8a2bb29
PE
510 lib/strtoimax.c
511 lib/strtol.c
f6ce9b9a 512 lib/strtoll.c
a8a2bb29
PE
513 lib/strtoul.c
514 lib/strtoull.c
515 lib/strtoumax.c
ae0d7250 516 lib/symlink.c
5fa4ac76 517 lib/sys_stat.in.h
1fd182f0
PE
518 lib/time.in.h
519 lib/time_r.c
3ce9d0d4 520 lib/u64.h
e275c824 521 lib/unistd.in.h
a8a2bb29 522 lib/verify.h
743c80a7 523 m4/00gnulib.m4
fa23e171 524 m4/alloca.m4
a451f14b 525 m4/c-strtod.m4
7a7ef429 526 m4/dup2.m4
1fd182f0 527 m4/extensions.m4
5fa4ac76 528 m4/filemode.m4
79ab4b7f 529 m4/getloadavg.m4
e275c824 530 m4/getopt.m4
743c80a7 531 m4/gnulib-common.m4
1fd182f0 532 m4/include_next.m4
a8a2bb29 533 m4/inttypes.m4
54020294 534 m4/largefile.m4
5f90be1b 535 m4/longlong.m4
ae0d7250 536 m4/lstat.m4
942f733f 537 m4/md5.m4
1fd182f0
PE
538 m4/mktime.m4
539 m4/multiarch.m4
24e0f6b1 540 m4/nocrash.m4
6db30f83 541 m4/pthread_sigmask.m4
ae0d7250 542 m4/readlink.m4
13c3daa4 543 m4/sha1.m4
3ce9d0d4
LL
544 m4/sha256.m4
545 m4/sha512.m4
6db30f83 546 m4/signal_h.m4
2a84b02d 547 m4/signalblocking.m4
401bf9b4 548 m4/socklen.m4
d1fdcab7 549 m4/ssize_t.m4
5fa4ac76 550 m4/st_dm_mode.m4
ae0d7250 551 m4/stat.m4
c378da0b 552 m4/stdarg.m4
16c3e636 553 m4/stdbool.m4
1fd182f0 554 m4/stddef_h.m4
5f90be1b 555 m4/stdint.m4
77185bdf 556 m4/stdio_h.m4
79ab4b7f 557 m4/stdlib_h.m4
16c3e636 558 m4/strftime.m4
f6ce9b9a
PE
559 m4/strtoimax.m4
560 m4/strtoll.m4
a8a2bb29
PE
561 m4/strtoull.m4
562 m4/strtoumax.m4
ae0d7250 563 m4/symlink.m4
5fa4ac76 564 m4/sys_stat_h.m4
1fd182f0
PE
565 m4/time_h.m4
566 m4/time_r.m4
16c3e636 567 m4/tm_gmtoff.m4
e275c824 568 m4/unistd_h.m4
1fd182f0
PE
569 m4/warn-on-use.m4
570 m4/wchar_t.m4
743c80a7 571])